## context 2011.05.18.20110626

=== texmf-dist/doc/context/manuals/reference/en/Makefile ===
TEXMFFONTS=./texmf

sources =                  \
  co-backgrounds.tex       \
  co-blocks.tex            \
  co-columns.tex           \
  co-colors.tex            \
  co-descriptions.tex      \
  co-documents.tex         \
  co-figures.tex           \
  co-formulas.tex          \
  co-fonts.tex             \
  co-frames.tex            \
  co-interactive.tex       \
  co-introduction.tex      \
  co-language.tex          \
  co-layers.tex            \
  co-layout.tex            \
  co-metapost.tex          \
  co-modules.tex           \
  co-pagedesign.tex        \
  co-preface.tex           \
  co-references.tex        \
  co-tables.tex            \
  co-tabulate.tex          \
  co-textelements.tex      \
  co-typography.tex        \
  co-verbatim.tex

pagedesign_sources =      \
  pagedesign/co-en-1p.tex \
  pagedesign/co-en-1q.tex \
  pagedesign/co-en-2p.tex \
  pagedesign/co-en-2q.tex \
  pagedesign/co-en-3p.tex \
  pagedesign/co-en-3q.tex \
  pagedesign/co-en-4p.tex \
  pagedesign/co-en-4q.tex \
  pagedesign/co-en-5p.tex \
  pagedesign/co-en-5q.tex \
  pagedesign/co-en-6p.tex \
  pagedesign/co-en-6q.tex \
  pagedesign/co-en-7p.tex \
  pagedesign/co-en-7q.tex

columns_sources =      \
  columns/cols-000.tex \
  columns/cols-001.tex \
  columns/cols-002.tex \
  columns/cols-003.tex \
  columns/cols-004.tex \
  columns/cols-005.tex \
  columns/cols-006.tex \
  columns/cols-007.tex \
  columns/cols-101.tex \
  columns/cols-102.tex \
  columns/cols-103.tex \
  columns/cols-200.tex \
  columns/cols-201.tex \
  columns/cols-202.tex \
  columns/cols-203.tex \
  columns/cols-204.tex \
  columns/cols-205.tex \
  columns/cols-206.tex \
  columns/cols-301.tex \
  columns/cols-401.tex \
  columns/cols-402.tex \
  columns/cols-403.tex \
  columns/cols-404.tex \
  columns/cols-405.tex \
  columns/cols-406.tex \
  columns/cols-407.tex \
  columns/cols-501.tex \
  columns/cols-701.tex \
  columns/cols-702.tex \
  columns/cols-703.tex \
  columns/cols-704.tex \
  columns/cols-801.tex \
  columns/cols-802.tex \
  columns/cols-803.tex \
  columns/cols-804.tex \
  columns/cols-805.tex \
  columns/cols-806.tex

contextref-%.pdf: contextref.tex contextref-env.tex $(sources) Makefile
	context --mode=$* --result=$(basename $@) contextref

# default target:
contextref: contextref-screen.pdf

all: contextref-screen.pdf contextref-print.pdf

clean:
	context --purgeall

clear: clean
	rm -f contextref.pdf

co-tables.tex: tables/registers-buffer.tex
	touch co-tables.tex

co-pagedesign.tex: $(pagedesign_sources)
	touch co-pagedesign.tex

co-columns.tex: $(columns_sources)
	touch co-columns.tex

## context 2012.05.24.20120525

=== debian/changelog ===
context (2012.05.24.20120525-1) unstable; urgency=low

  * new upstream release 2012.05.24
  * run mtxrun --generate before the formats are build (necessary on 
    new installations as the dh_installtex generated code skips it)

 -- Norbert Preining <preining@debian.org>  Fri, 25 May 2012 12:42:24 +0900

context (2012.05.23.20120524-1) unstable; urgency=low

  * sync from TeX Live 2012 tlpretest 20120524
  * bump standards version to 3.9.3, no changes necessary
  * add build-arch rules target, make lintian happier
  * add dep on new luatex which exports TEXMFCNF
  * switch to  source format 3.0 (quilt): debian/control, debian/rules

 -- Norbert Preining <preining@debian.org>  Thu, 24 May 2012 18:20:17 +0900

context (2011.05.18.20110627-2) unstable; urgency=low

  * use alternative to specify font package recommends (Closes: #640770)
  * remove metafun format, it is not supported anymore in TL2012

 -- Norbert Preining <preining@debian.org>  Mon, 05 Mar 2012 09:52:58 +0900

context (2011.05.18.20110627-1) unstable; urgency=low

  * do not install koeieletters.map, it is shipped in the non-free part
    (Closes: #631790)
  * include context-gnuplot, as it is part of ConTeXt

 -- Norbert Preining <preining@debian.org>  Mon, 27 Jun 2011 23:33:27 +0900

context (2011.05.18.20110626-1) unstable; urgency=low

  [ Hilmar Preuße ]
  * rebuild with new tex-common (Closes: #606040), tighten BD-Indep

  [ Norbert Preining ]
  * update to version which is/will be in TL2011 
    (Closes: #613416, #606656, #609600)
  * drop most of the build adaptions
  * drop maintainer code to upgrade from old-old versions converting
    formats.cnf to the /etc/texmf/fmt.d
  * add debian/README.source
  * drop menu files (Closes: #593210)
  * update standards to 3.9.2 (date based version numbers)
  * update copyright file to mention the ConTeXt reference documentation
  * remove the GFDL in installed files, and mention it in copyright file
  * override lintian warning on extra license file in TeX code
  * ship texmfcnf.lua, but for now don't run mtxrun --generate
  * update README.MarkIV and TODO file
  * install pdftrimwhite.pl into /usr/bin/pdftrimwhite (Closes: #594985)

 -- Norbert Preining <preining@debian.org>  Sun, 26 Jun 2011 13:10:37 +0900

context (2010.07.30-1) experimental; urgency=low

  * several new upstream releases
  * for now only targetting experimental
  * add missing metafun link in /usr/bin

 -- Norbert Preining <preining@debian.org>  Mon, 21 Dec 2009 07:41:03 +0900

context (2009.11.26-2) unstable; urgency=low

  * upload to unstable

 -- Norbert Preining <preining@debian.org>  Wed, 09 Dec 2009 23:46:31 +0900

context (2009.11.26-1) experimental; urgency=low

  * new upstream release, update Release_Notes
  * adjust dependencies to >= 2009, and add conflicts texlive-xetex << 2009

 -- Norbert Preining <preining@debian.org>  Thu, 03 Dec 2009 16:01:49 +0900

context (2009.10.27-1) experimental; urgency=low

  * new upstream release, update Release_Notes
  * pre-build format based on xetex (Closes: #483885)
  * depend on luatex >= 0.45.0 (Closes: #529570)
  * clean up debian/rules file
  * update the list of fonts already in Debian
  * add a stub for texfind
  * remove texshow menu entry, the program has been removed
  * add some more fonts that are normally shipped by ConTeXt to the
    recommends list

 -- Norbert Preining <preining@debian.org>  Sat, 21 Nov 2009 14:25:05 +0900

context (2009.08.19-1) experimental; urgency=low

  [ Norbert Preining ]
  * several new upstream releases
  * add missing ini files which have been removed from upstream
    so that default fmtutil initialization still works
  * disable the fix-for-old-lmodern-fonts patch as we ship newer lmodern
    fonts now
  * depend on tex-gyre
  * adjust depends of context onto lmodern >= 1.106
  * bump standards version to 3.8.3
  * add ${misc:Depends} to the depends field
  * bump build-dep on tex-common to >= 2.00 to get fix for dh_installtex
    usage of --flavor argument
  * do not ship some fonts in the binary package, but links to 
    recommended font packages
  * only depend on texlive-binaries for TL2009

  [ أحمد المحمودي (Ahmed El-Mahmoudy) ]
  * debian/rules: use /usr/share/quilt/quilt.make provided by quilt and remove 
    patch-stamp & unpatch targets (Closes: #538544).

 -- Norbert Preining <preining@debian.org>  Mon, 12 Oct 2009 14:45:40 +0900

context (2008.10.31-1) experimental; urgency=low

  * new upstream release
  * upload to experimental for testing
  * update the release notes
  * add a warning to README.MarkIV
  * add a TODO.Debian
  * fix debian/rules for upstream removed dvipdfm files
  * add missing ini files which have been removed from upstream
    so that default fmtutil initialization still works

 -- Norbert Preining <preining@debian.org>  Fri, 28 Nov 2008 12:31:04 +0100

context (2008.05.21-1) unstable; urgency=low

  * new upstream releases
  * update the release notes from the wiki page
  * fix XeTeX/ConTeXt usage with the LModern fonts as they are present in 
    Debian:
    - add a patch fix-for-old-lmodern-fonts that updates the type-otf.tex file
    - add the missing map files
    (all thanks to Mojca Miklavec)
  * add another file to the MANIFEST.non-free

 -- Norbert Preining <preining@debian.org>  Fri, 23 May 2008 19:52:53 +0200

context (2008.01.28-1) unstable; urgency=low

  * new upstream
  * add the release notes from 2008 to debian/Release_Notes

 -- Norbert Preining <preining@debian.org>  Thu, 21 Feb 2008 08:26:12 +0100

context (2008.01.16-1) unstable; urgency=low

  * new upstream

 -- Norbert Preining <preining@debian.org>  Mon, 21 Jan 2008 15:28:57 +0100

context (2008.01.02-1) unstable; urgency=low

  * new upstream
  * remove patches to ppchtex.noc and supp-pdf.tex (included upstream)
  * rediff and rename 10_texfont_fontforge.dpatch to texfont_fontforge

 -- Norbert Preining <preining@debian.org>  Thu, 10 Jan 2008 07:49:00 +0100



## context 2012.05.29.20120529

=== debian/changelog ===
context (2012.05.29.20120529-1) unstable; urgency=low

  * new upstream release 2012.05.29
  * pregenerate MarkIV format on installation (thanks Eythan Weg for
    investigation and testing)

 -- Norbert Preining <preining@debian.org>  Tue, 29 May 2012 16:19:12 +0900

## context 2012.05.30.20120611

=== debian/changelog ===
context (2012.05.30.20120611-1) unstable; urgency=low

  * new upstream release 2012.05.30 (TL2012 release)

 -- Norbert Preining <preining@debian.org>  Mon, 11 Jun 2012 12:08:46 +0900

=== debian/control ===
Source: context
Section: tex
Priority: optional
Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <preining@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: tex-common (>= 2.10)
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/svn/debian-tex/context/trunk
Vcs-Browser: http://svn.debian.org/wsvn/debian-tex/context/trunk/

Package: context
Section: tex
Architecture: all
Depends: ruby, texlive-binaries, texlive-base (>= 2011), texlive-metapost (>= 2009), lmodern (>= 2), tex-gyre, ${misc:Depends}, luatex (>= 0.70.1.20120524)
Recommends: fonts-gfs-artemisia | ttf-gfs-artemisia, fonts-gfs-baskerville | ttf-gfs-baskerville, fonts-gfs-bodoni-classic | ttf-gfs-bodoni-classic, fonts-gfs-didot-classic | ttf-gfs-didot-classic, fonts-gfs-didot | ttf-gfs-didot, fonts-gfs-olga | ttf-gfs-olga, fonts-gfs-porson | ttf-gfs-porson, fonts-gfs-gazis | ttf-gfs-gazis, fonts-gfs-neohellenic | ttf-gfs-neohellenic, fonts-gfs-solomos | ttf-gfs-solomos, fonts-gfs-theokritos | ttf-gfs-theokritos, fonts-freefont | ttf-freefont, fonts-sil-gentium | ttf-sil-gentium, context-modules
Suggests: perl-tk, libxml-parser-perl, fontforge, context-nonfree, context-doc-nonfree
Conflicts: texlive-context, tetex-bin (<< 2007), texlive-xetex (<< 2009)
Replaces: texlive-context
Provides: texlive-context
Description: powerful TeX format
 ConTeXt is a document-production system based, like LaTeX, on the TeX
 typesetting system.  Whereas LaTeX insulates the writer from
 typographical details, ConTeXt takes a complementary approach by
 providing structured interfaces for handling typography, including
 extensive support for colors, backgrounds, hyperlinks, presentations,
 figure-text integration, and conditional compilation.  It gives the
 user extensive control over formatting while making it easy to create
 new layouts and styles without learning the TeX macro language.
 ConTeXt's unified design averts the package clashes that can happen
 with LaTeX.
 .
 ConTeXt also integrates MetaFun, a superset of MetaPost and a powerful
 system for vector graphics.  MetaFun can be used as a stand-alone
 system to produce figures, but its strength lies in enhancing ConTeXt
 documents with accurate graphic elements.
 .
 ConTeXt allows the users to specify formatting commands in English,
 Dutch, German, French, or Italian, and to use different typesetting
 engines (PDFTeX, XeTeX, Aleph, and soon LuaTeX) without changing the
 user interface.  ConTeXt is developed rapidly, often in response to
 requests from the friendly user community.

=== debian/rules ===
#! /usr/bin/make -f

package        := context
instbase       := debian/$(package)

build: build-indep

build-indep: build-indep-stamp
build-arch: build-indep-stamp

build-indep-stamp:
	touch build-indep-stamp

clean:
	dh_testroot
	rm -f build-indep-stamp
	# rm -rf bibtex context doc fonts metapost scripts tex tpm web2c
	dh_clean

binary-indep: build-indep
	dh_testdir 
	dh_testroot
	dh_clean
	dh_installdirs usr/share/texmf/web2c usr/share/doc/$(package)	\
		var/lib/texmf/web2c/pdftex	\
		etc/texmf/tex/context/user
	cp -a texmf-dist/* $(instbase)/usr/share/texmf
	rm -rf $(instbase)/usr/share/texmf/tlpkg
	# move user config file to /etc
	mv $(instbase)/usr/share/texmf/tex/context/user/cont-sys.rme	\
		$(instbase)/etc/texmf/tex/context/user
	rmdir $(instbase)/usr/share/texmf/tex/context/user

	# remove koeieletters.map file, it is not needed here
	rm $(instbase)/usr/share/texmf/fonts/map/pdftex/context/koeieletters.map

	# install texmfcnf.lua file
	cp debian/texmfcnf.lua $(instbase)/usr/share/texmf/web2c

	dh_installtex --flavor=format:no_links
	dh_installdirs usr/bin

	#
	# scripts dealing
	cp bin/i386-linux/* $(instbase)/usr/bin
	rm -r $(instbase)/usr/share/texmf/scripts/context/stubs
	#
	##cp texmf-dist/scripts/context/stubs/unix/* $(instbase)/usr/bin
	(echo "#!/bin/sh"; echo "mtxrun --script pdftrimwhite \"$@\"" ) > $(instbase)/usr/bin/pdftrimwhite
	(echo "#!/bin/sh"; echo "mtxrun --script texfind \"$@\"" ) > $(instbase)/usr/bin/texfind
	(echo "#!/bin/sh"; echo "mtxrun --script texfont \"$@\"" ) > $(instbase)/usr/bin/texfont
	####(echo "#!/usr/bin/perl"; tail -n +3 texmf-dist/scripts/context/perl/pdftrimwhite.pl ) > $(instbase)/usr/bin/pdftrimwhite

	#
	# documentation
	rm -r $(instbase)/usr/share/texmf/doc
	cp -a texmf-dist/doc/context/* $(instbase)/usr/share/doc/$(package)
	# remove GFDL license text, it is referenced in copyright
	rm $(instbase)/usr/share/doc/context/manuals/reference/COPYING
	# remove the doc under texmf
	dh_installman texmf/doc/man/man1/*.1
	# disabled
	dh_installdocs debian/changelog.Debian.prerelease	\
			debian/MANIFEST.nonfree	debian/MANIFEST.doc-nonfree \
			debian/README.MarkIV debian/Release_Notes

	# lintian override for script-not-executable
	install -D --mode=644 debian/override $(instbase)/usr/share/lintian/overrides/$(package)

	dh_installmenu
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch:
# We have nothing to do here but the Debian Policy says this target must
# exist.

binary: binary-indep binary-arch

.PHONY: clean build build-indep binary binary-indep binary-arch

## context 2013.04.20.20130517

=== debian/changelog ===
context (2013.04.20.20130517-1ubuntu1) saucy; urgency=low

  * Remove all alternate recommends on ttf-* packages as they are no 
    longer used.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 27 May 2013 19:34:36 +0530

context (2013.04.20.20130517-1) unstable; urgency=low

  * new upstream fetched from tlpretest 

 -- Norbert Preining <preining@debian.org>  Fri, 17 May 2013 11:53:21 +0900

context (2012.05.30.20121209-2) experimental; urgency=low

  * install doc files below /usr/share/texmf/doc, build-dep on
    tex-common >= 4.01

 -- Norbert Preining <preining@debian.org>  Wed, 19 Dec 2012 13:36:23 +0900

context (2012.05.30.20121209-1) experimental; urgency=low

  * new upstream release: fixes for lmodern math font renaming
  * bump dependency on lmodern >= 2.004.4

 -- Norbert Preining <preining@debian.org>  Sun, 09 Dec 2012 01:18:13 +0900

context (2012.05.30.20120611-2) experimental; urgency=low

  * don't ship texmfcnf.lua, but rely on texlive-base shipping it,
    adjust dependencies accordingly
  * adjust Vcs fields for new git location

 -- Norbert Preining <preining@debian.org>  Wed, 05 Dec 2012 12:15:08 +0900

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: context
 Section: tex
 Priority: optional
-Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Norbert Preining <preining@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Build-Depends-Indep: tex-common (>= 2.10)
+Build-Depends-Indep: tex-common (>= 4.01)
 Standards-Version: 3.9.3
-Vcs-Svn: svn://svn.debian.org/svn/debian-tex/context/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/debian-tex/context/trunk/
+Vcs-Git: git://anonscm.debian.org/debian-tex/context.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-tex/context.git
 
 Package: context
 Section: tex
 Architecture: all
-Depends: ruby, texlive-binaries, texlive-base (>= 2011), texlive-metapost (>= 2009), lmodern (>= 2), tex-gyre, ${misc:Depends}, luatex (>= 0.70.1.20120524)
-Recommends: fonts-gfs-artemisia | ttf-gfs-artemisia, fonts-gfs-baskerville | ttf-gfs-baskerville, fonts-gfs-bodoni-classic | ttf-gfs-bodoni-classic, fonts-gfs-didot-classic | ttf-gfs-didot-classic, fonts-gfs-didot | ttf-gfs-didot, fonts-gfs-olga | ttf-gfs-olga, fonts-gfs-porson | ttf-gfs-porson, fonts-gfs-gazis | ttf-gfs-gazis, fonts-gfs-neohellenic | ttf-gfs-neohellenic, fonts-gfs-solomos | ttf-gfs-solomos, fonts-gfs-theokritos | ttf-gfs-theokritos, fonts-freefont | ttf-freefont, fonts-sil-gentium | ttf-sil-gentium, context-modules
+Depends: ruby, texlive-binaries, texlive-base (>= 2013), texlive-metapost (>= 2013), lmodern (>= 2.004.4), tex-gyre, ${misc:Depends}, luatex (>= 0.76)
+Recommends: fonts-gfs-artemisia, fonts-gfs-baskerville, fonts-gfs-bodoni-classic, fonts-gfs-didot-classic, fonts-gfs-didot, fonts-gfs-olga, fonts-gfs-porson | ttf-gfs-porson, fonts-gfs-gazis, fonts-gfs-neohellenic, fonts-gfs-solomos, fonts-gfs-theokritos, fonts-freefont, fonts-sil-gentium, context-modules
 Suggests: perl-tk, libxml-parser-perl, fontforge, context-nonfree, context-doc-nonfree
 Conflicts: texlive-context, tetex-bin (<< 2007), texlive-xetex (<< 2009)
 Replaces: texlive-context

## context 2013.05.28.20130704

=== debian/changelog ===
context (2013.05.28.20130704-3) unstable; urgency=low

  * drop alternate recommends on transitional font packages (Closes: #717987)

 -- Norbert Preining <preining@debian.org>  Wed, 31 Jul 2013 11:01:51 +0900

context (2013.05.28.20130704-2) unstable; urgency=low

  * fix the missing docfiles bug on upgrade from wheezy (Closes: #716892)

 -- Norbert Preining <preining@debian.org>  Wed, 17 Jul 2013 14:59:11 +0900

context (2013.05.28.20130704-1) unstable; urgency=low

  * Imported Upstream version 2013.05.28.20130704
    fix bug in mp-to-pdf conversion in some cases

 -- Norbert Preining <preining@debian.org>  Thu, 04 Jul 2013 14:44:57 +0900

context (2013.05.28.20130702-1) unstable; urgency=low

  * update make-orig-tar for new context release
  * Imported Upstream version 2013.05.28.20130702
  * fix fmtutil.cnf definitions
  * bump standards version to 3.9.4, no changes

 -- Norbert Preining <preining@debian.org>  Tue, 02 Jul 2013 11:40:50 +0900

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: context
 Section: tex
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
+Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Norbert Preining <preining@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: tex-common (>= 4.01)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://anonscm.debian.org/debian-tex/context.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-tex/context.git
 
@@ -14,7 +13,7 @@
 Section: tex
 Architecture: all
 Depends: ruby, texlive-binaries, texlive-base (>= 2013), texlive-metapost (>= 2013), lmodern (>= 2.004.4), tex-gyre, ${misc:Depends}, luatex (>= 0.76)
-Recommends: fonts-gfs-artemisia, fonts-gfs-baskerville, fonts-gfs-bodoni-classic, fonts-gfs-didot-classic, fonts-gfs-didot, fonts-gfs-olga, fonts-gfs-porson | ttf-gfs-porson, fonts-gfs-gazis, fonts-gfs-neohellenic, fonts-gfs-solomos, fonts-gfs-theokritos, fonts-freefont, fonts-sil-gentium, context-modules
+Recommends: fonts-gfs-artemisia, fonts-gfs-baskerville, fonts-gfs-bodoni-classic, fonts-gfs-didot-classic, fonts-gfs-didot, fonts-gfs-olga, fonts-gfs-porson, fonts-gfs-gazis, fonts-gfs-neohellenic, fonts-gfs-solomos, fonts-gfs-theokritos, fonts-freefont, fonts-sil-gentium, context-modules
 Suggests: perl-tk, libxml-parser-perl, fontforge, context-nonfree, context-doc-nonfree
 Conflicts: texlive-context, tetex-bin (<< 2007), texlive-xetex (<< 2009)
 Replaces: texlive-context

=== debian/rules ===
--- 
+++ 
@@ -31,11 +31,10 @@
 		$(instbase)/etc/texmf/tex/context/user
 	rmdir $(instbase)/usr/share/texmf/tex/context/user
 
+	# remove GFDL license text, it is referenced in copyright
+	#rm $(instbase)/usr/share/texmf/doc/context/manuals/reference/COPYING
 	# remove koeieletters.map file, it is not needed here
-	rm $(instbase)/usr/share/texmf/fonts/map/pdftex/context/koeieletters.map
-
-	# install texmfcnf.lua file
-	cp debian/texmfcnf.lua $(instbase)/usr/share/texmf/web2c
+	#rm $(instbase)/usr/share/texmf/fonts/map/pdftex/context/koeieletters.map
 
 	dh_installtex --flavor=format:no_links
 	dh_installdirs usr/bin
@@ -51,15 +50,10 @@
 	(echo "#!/bin/sh"; echo "mtxrun --script texfont \"$@\"" ) > $(instbase)/usr/bin/texfont
 	####(echo "#!/usr/bin/perl"; tail -n +3 texmf-dist/scripts/context/perl/pdftrimwhite.pl ) > $(instbase)/usr/bin/pdftrimwhite
 
-	#
-	# documentation
-	rm -r $(instbase)/usr/share/texmf/doc
-	cp -a texmf-dist/doc/context/* $(instbase)/usr/share/doc/$(package)
-	# remove GFDL license text, it is referenced in copyright
-	rm $(instbase)/usr/share/doc/context/manuals/reference/COPYING
-	# remove the doc under texmf
-	dh_installman texmf/doc/man/man1/*.1
-	# disabled
+	# install man pages
+	dh_installman texmf-dist/doc/man/man1/*.1
+
+
 	dh_installdocs debian/changelog.Debian.prerelease	\
 			debian/MANIFEST.nonfree	debian/MANIFEST.doc-nonfree \
 			debian/README.MarkIV debian/Release_Notes

## context 2014.05.21.20140528

=== debian/changelog ===
context (2014.05.21.20140528-2) unstable; urgency=medium

  * Fix creation of some helper scripts in debian/rules
    (Closes: #780330) [hilmar-guest]

 -- Hilmar Preuße <hille42@web.de>  Thu, 12 Mar 2015 18:04:24 +0100

context (2014.05.21.20140528-1) unstable; urgency=medium

  * upload to unstable

 -- Norbert Preining <preining@debian.org>  Wed, 28 May 2014 18:40:43 +0900

context (2014.05.18.20140520-1) experimental; urgency=low

  * add alternative dep on ruby-interpreter (Closes: #722556)
  * update make-orig-tar: tlpretest, use only core context
  * Imported Upstream version 2014.05.18.20140520
  * debian adaptions (copyright, control)
  * bump standards version to 3.9.5, no changes necessary

 -- Norbert Preining <preining@debian.org>  Tue, 20 May 2014 09:49:49 +0900

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: Norbert Preining <preining@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: tex-common (>= 4.01)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/debian-tex/context.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-tex/context.git
 
 Package: context
 Section: tex
 Architecture: all
-Depends: ruby, texlive-binaries, texlive-base (>= 2013), texlive-metapost (>= 2013), lmodern (>= 2.004.4), tex-gyre, ${misc:Depends}, luatex (>= 0.76)
+Depends: ruby | ruby-interpreter, texlive-binaries, texlive-base (>= 2014), texlive-metapost (>= 2014), lmodern (>= 2.004.4), tex-gyre, ${misc:Depends}
 Recommends: fonts-gfs-artemisia, fonts-gfs-baskerville, fonts-gfs-bodoni-classic, fonts-gfs-didot-classic, fonts-gfs-didot, fonts-gfs-olga, fonts-gfs-porson, fonts-gfs-gazis, fonts-gfs-neohellenic, fonts-gfs-solomos, fonts-gfs-theokritos, fonts-freefont, fonts-sil-gentium, context-modules
 Suggests: perl-tk, libxml-parser-perl, fontforge, context-nonfree, context-doc-nonfree
 Conflicts: texlive-context, tetex-bin (<< 2007), texlive-xetex (<< 2009)

=== debian/rules ===
--- 
+++ 
@@ -45,13 +45,14 @@
 	rm -r $(instbase)/usr/share/texmf/scripts/context/stubs
 	#
 	##cp texmf-dist/scripts/context/stubs/unix/* $(instbase)/usr/bin
-	(echo "#!/bin/sh"; echo "mtxrun --script pdftrimwhite \"$@\"" ) > $(instbase)/usr/bin/pdftrimwhite
-	(echo "#!/bin/sh"; echo "mtxrun --script texfind \"$@\"" ) > $(instbase)/usr/bin/texfind
-	(echo "#!/bin/sh"; echo "mtxrun --script texfont \"$@\"" ) > $(instbase)/usr/bin/texfont
+	(echo "#!/bin/sh"; echo 'mtxrun --script pdftrimwhite "$$@"' ) > $(instbase)/usr/bin/pdftrimwhite
+	(echo "#!/bin/sh"; echo 'mtxrun --script texfind "$$@"' ) > $(instbase)/usr/bin/texfind
+	(echo "#!/bin/sh"; echo 'mtxrun --script texfont "$$@"' ) > $(instbase)/usr/bin/texfont
 	####(echo "#!/usr/bin/perl"; tail -n +3 texmf-dist/scripts/context/perl/pdftrimwhite.pl ) > $(instbase)/usr/bin/pdftrimwhite
 
 	# install man pages
 	dh_installman texmf-dist/doc/man/man1/*.1
+	dh_installman debian/manpages/texfont.man debian/manpages/texfind.man
 
 
 	dh_installdocs debian/changelog.Debian.prerelease	\

## context 2015.05.18.20150601

=== debian/changelog ===
context (2015.05.18.20150601-2) unstable; urgency=medium

  * upload to unstable

 -- Norbert Preining <preining@debian.org>  Thu, 25 Jun 2015 14:43:23 +0900

context (2015.05.18.20150601-1) experimental; urgency=medium

  * update make-orig-tar for new context release
  * Imported Upstream version 2015.05.18.20150601
  * bump build-dep version of tex-common to 6
  * bump standards version to 3.9.6, no changes necessary
  * remove old fmt.d conffile

 -- Norbert Preining <preining@debian.org>  Sat, 06 Jun 2015 15:33:38 +0900

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Norbert Preining <preining@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
-Build-Depends-Indep: tex-common (>= 4.01)
-Standards-Version: 3.9.5
+Build-Depends-Indep: tex-common (>= 6)
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/debian-tex/context.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-tex/context.git
 
 Package: context
 Section: tex
 Architecture: all
-Depends: ruby | ruby-interpreter, texlive-binaries, texlive-base (>= 2014), texlive-metapost (>= 2014), lmodern (>= 2.004.4), tex-gyre, ${misc:Depends}
+Depends: ruby | ruby-interpreter, texlive-binaries (>= 2014.20140512.33982), texlive-base (>= 2014), texlive-metapost (>= 2014), lmodern (>= 2.004.4), tex-gyre, ${misc:Depends}
 Recommends: fonts-gfs-artemisia, fonts-gfs-baskerville, fonts-gfs-bodoni-classic, fonts-gfs-didot-classic, fonts-gfs-didot, fonts-gfs-olga, fonts-gfs-porson, fonts-gfs-gazis, fonts-gfs-neohellenic, fonts-gfs-solomos, fonts-gfs-theokritos, fonts-freefont, fonts-sil-gentium, context-modules
 Suggests: perl-tk, libxml-parser-perl, fontforge, context-nonfree, context-doc-nonfree
 Conflicts: texlive-context, tetex-bin (<< 2007), texlive-xetex (<< 2009)

=== debian/rules ===
--- 
+++ 
@@ -63,6 +63,7 @@
 	install -D --mode=644 debian/override $(instbase)/usr/share/lintian/overrides/$(package)
 
 	dh_installmenu
+	dh_lintian
 	dh_installchangelogs
 	dh_compress
 	dh_fixperms

## context 2016.05.14.20160516

=== debian/changelog ===
context (2016.05.14.20160516-1) unstable; urgency=medium

  * new upstream release(s) -- context to accompany TL 2016
    - cc-nc-sa licensed files relicensed (Closes: #823143)
  * bump standards version, no changes necessary
  * bump depends onto 2016 version of TL packages
  * depends on texlive-binaries >= 2016 (Closes: #824471)

 -- Norbert Preining <preining@debian.org>  Mon, 16 May 2016 22:21:35 +0900

## context 2016.05.17.20160520

=== debian/changelog ===
context (2016.05.17.20160520-1) unstable; urgency=medium

  * update make-orig-tar
  * Imported Upstream version 2016.05.17.20160520 (TL2016)

 -- Norbert Preining <preining@debian.org>  Fri, 20 May 2016 11:24:46 +0900

## context 2016.05.17.20160523

=== debian/changelog ===
context (2016.05.17.20160523-1) unstable; urgency=medium

  * Imported Upstream version 2016.05.17.20160523 (take 2)
    - fix wrong inclusion of mptopdf files

 -- Norbert Preining <preining@debian.org>  Mon, 23 May 2016 10:51:30 +0900

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: Norbert Preining <preining@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: tex-common (>= 6)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Git: git://anonscm.debian.org/debian-tex/context.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-tex/context.git
 
 Package: context
 Section: tex
 Architecture: all
-Depends: ruby | ruby-interpreter, texlive-binaries (>= 2014.20140512.33982), texlive-base (>= 2014), texlive-metapost (>= 2014), lmodern (>= 2.004.4), tex-gyre, ${misc:Depends}
+Depends: ruby | ruby-interpreter, texlive-binaries (>= 2016), texlive-base (>= 2016), texlive-metapost (>= 2016), lmodern (>= 2.004.4), tex-gyre, ${misc:Depends}
 Recommends: fonts-gfs-artemisia, fonts-gfs-baskerville, fonts-gfs-bodoni-classic, fonts-gfs-didot-classic, fonts-gfs-didot, fonts-gfs-olga, fonts-gfs-porson, fonts-gfs-gazis, fonts-gfs-neohellenic, fonts-gfs-solomos, fonts-gfs-theokritos, fonts-freefont, fonts-sil-gentium, context-modules
 Suggests: perl-tk, libxml-parser-perl, fontforge, context-nonfree, context-doc-nonfree
 Conflicts: texlive-context, tetex-bin (<< 2007), texlive-xetex (<< 2009)

## context 2017.05.15.20170613

=== debian/changelog ===
context (2017.05.15.20170613-2) unstable; urgency=medium

  * upload to unstable

 -- Norbert Preining <preining@debian.org>  Mon, 19 Jun 2017 16:39:57 +0900

context (2017.05.15.20170613-1) experimental; urgency=medium

  * New upstream version 2017.05.15.20170613
  * new dh compat level 9 
  * bump deps to TL 2017 

 -- Norbert Preining <preining@debian.org>  Tue, 13 Jun 2017 09:30:28 +0900

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Package: context
 Section: tex
 Architecture: all
-Depends: ruby | ruby-interpreter, texlive-binaries (>= 2016), texlive-base (>= 2016), texlive-metapost (>= 2016), lmodern (>= 2.004.4), tex-gyre, ${misc:Depends}
+Depends: ruby | ruby-interpreter, texlive-binaries (>= 2017), texlive-base (>= 2017), texlive-metapost (>= 2017), lmodern (>= 2.004.4), tex-gyre, ${misc:Depends}
 Recommends: fonts-gfs-artemisia, fonts-gfs-baskerville, fonts-gfs-bodoni-classic, fonts-gfs-didot-classic, fonts-gfs-didot, fonts-gfs-olga, fonts-gfs-porson, fonts-gfs-gazis, fonts-gfs-neohellenic, fonts-gfs-solomos, fonts-gfs-theokritos, fonts-freefont, fonts-sil-gentium, context-modules
 Suggests: perl-tk, libxml-parser-perl, fontforge, context-nonfree, context-doc-nonfree
 Conflicts: texlive-context, tetex-bin (<< 2007), texlive-xetex (<< 2009)

## context 2018.04.04.20180416

=== debian/changelog ===
context (2018.04.04.20180416-1) unstable; urgency=medium

  * TeX Live 2018 release: 2018.04.04.20180416

 -- Norbert Preining <preining@debian.org>  Mon, 16 Apr 2018 13:22:06 +0900

context (2018.04.02.20180404-1) experimental; urgency=medium

  * New upstream version 2018.04.02.20180404
  * bump standards version, no changes necessary
  * depend on TL2018
  * adjust VCS fields for salsa

 -- Norbert Preining <preining@debian.org>  Wed, 04 Apr 2018 12:11:47 +0900

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: Norbert Preining <preining@debian.org>
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: tex-common (>= 6)
-Standards-Version: 3.9.8
-Vcs-Git: git://anonscm.debian.org/debian-tex/context.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-tex/context.git
+Standards-Version: 4.1.2
+Vcs-Git: https://salsa.debian.org/tex-team/context.git
+Vcs-Browser: https://salsa.debian.org/tex-team/context
 
 Package: context
 Section: tex
 Architecture: all
-Depends: ruby | ruby-interpreter, texlive-binaries (>= 2017), texlive-base (>= 2017), texlive-metapost (>= 2017), lmodern (>= 2.004.4), tex-gyre, ${misc:Depends}
+Depends: ruby | ruby-interpreter, texlive-binaries (>= 2018), texlive-base (>= 2018), texlive-metapost (>= 2018), lmodern (>= 2.004.4), tex-gyre, ${misc:Depends}
 Recommends: fonts-gfs-artemisia, fonts-gfs-baskerville, fonts-gfs-bodoni-classic, fonts-gfs-didot-classic, fonts-gfs-didot, fonts-gfs-olga, fonts-gfs-porson, fonts-gfs-gazis, fonts-gfs-neohellenic, fonts-gfs-solomos, fonts-gfs-theokritos, fonts-freefont, fonts-sil-gentium, context-modules
 Suggests: perl-tk, libxml-parser-perl, fontforge, context-nonfree, context-doc-nonfree
 Conflicts: texlive-context, tetex-bin (<< 2007), texlive-xetex (<< 2009)

## context 2018.04.04.20181118

=== debian/changelog ===
context (2018.04.04.20181118-2) unstable; urgency=medium

  [ Norbert Preining ]
  * update VCS and my email

  [ Hilmar Preuße ]
  * Remove context-doc-nonfree from Suggests (Closes: #919761).

 -- Norbert Preining <norbert@preining.info>  Sat, 02 Mar 2019 13:55:38 +0900

context (2018.04.04.20181118-1) unstable; urgency=medium

  * update make-orig-tar to remove windows stubs
  * New upstream version 2018.04.04.20181118
  * bump standards version, no changes necessary

 -- Norbert Preining <preining@debian.org>  Sun, 18 Nov 2018 15:02:56 +0900

=== debian/control ===
--- 
+++ 
@@ -2,19 +2,19 @@
 Section: tex
 Priority: optional
 Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
-Uploaders: Norbert Preining <preining@debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: debhelper (>= 7.0.50~)
 Build-Depends-Indep: tex-common (>= 6)
-Standards-Version: 4.1.2
-Vcs-Git: https://salsa.debian.org/tex-team/context.git
-Vcs-Browser: https://salsa.debian.org/tex-team/context
+Standards-Version: 4.2.1
+Vcs-Git: https://github.com/debian-tex/context.git
+Vcs-Browser: https://github.com/debian-tex/context
 
 Package: context
 Section: tex
 Architecture: all
 Depends: ruby | ruby-interpreter, texlive-binaries (>= 2018), texlive-base (>= 2018), texlive-metapost (>= 2018), lmodern (>= 2.004.4), tex-gyre, ${misc:Depends}
 Recommends: fonts-gfs-artemisia, fonts-gfs-baskerville, fonts-gfs-bodoni-classic, fonts-gfs-didot-classic, fonts-gfs-didot, fonts-gfs-olga, fonts-gfs-porson, fonts-gfs-gazis, fonts-gfs-neohellenic, fonts-gfs-solomos, fonts-gfs-theokritos, fonts-freefont, fonts-sil-gentium, context-modules
-Suggests: perl-tk, libxml-parser-perl, fontforge, context-nonfree, context-doc-nonfree
+Suggests: perl-tk, libxml-parser-perl, fontforge, context-nonfree
 Conflicts: texlive-context, tetex-bin (<< 2007), texlive-xetex (<< 2009)
 Replaces: texlive-context
 Provides: texlive-context

## context 2019.03.21.20190425

=== debian/changelog ===
context (2019.03.21.20190425-2) unstable; urgency=medium

  * Upload to unstable

 -- Norbert Preining <norbert@preining.info>  Wed, 10 Jul 2019 18:59:32 +0900

context (2019.03.21.20190425-1) experimental; urgency=medium

  * New upstream version 2019.03.21.20190425 based on TL2019
  * bump dependencies on TL 2019

 -- Norbert Preining <norbert@preining.info>  Thu, 25 Apr 2019 17:53:10 +0900

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Package: context
 Section: tex
 Architecture: all
-Depends: ruby | ruby-interpreter, texlive-binaries (>= 2018), texlive-base (>= 2018), texlive-metapost (>= 2018), lmodern (>= 2.004.4), tex-gyre, ${misc:Depends}
+Depends: ruby | ruby-interpreter, texlive-binaries (>= 2019), texlive-base (>= 2019), texlive-metapost (>= 2019), lmodern (>= 2.004.4), tex-gyre, ${misc:Depends}
 Recommends: fonts-gfs-artemisia, fonts-gfs-baskerville, fonts-gfs-bodoni-classic, fonts-gfs-didot-classic, fonts-gfs-didot, fonts-gfs-olga, fonts-gfs-porson, fonts-gfs-gazis, fonts-gfs-neohellenic, fonts-gfs-solomos, fonts-gfs-theokritos, fonts-freefont, fonts-sil-gentium, context-modules
 Suggests: perl-tk, libxml-parser-perl, fontforge, context-nonfree
 Conflicts: texlive-context, tetex-bin (<< 2007), texlive-xetex (<< 2009)

=== debian/rules ===
--- 
+++ 
@@ -27,8 +27,9 @@
 	cp -a texmf-dist/* $(instbase)/usr/share/texmf
 	rm -rf $(instbase)/usr/share/texmf/tlpkg
 	# move user config file to /etc
-	mv $(instbase)/usr/share/texmf/tex/context/user/cont-sys.rme	\
-		$(instbase)/etc/texmf/tex/context/user
+	mv $(instbase)/usr/share/texmf/tex/context/user/mkii/cont-sys.rme	\
+		$(instbase)/etc/texmf/tex/context/user/
+	rmdir $(instbase)/usr/share/texmf/tex/context/user/mkii
 	rmdir $(instbase)/usr/share/texmf/tex/context/user
 
 	# remove GFDL license text, it is referenced in copyright

## context 2020.03.10.20200331

=== debian/changelog ===
context (2020.03.10.20200331-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper dependency to >= 9, since that's what is used in
    debian/compat.
  * Bump debhelper from old 9 to 12.
  * Strip unusual field spacing from debian/control.

  [ Norbert Preining ]
  * New upstream version 2020.03.10.20200331 based on TL2020

 -- Norbert Preining <norbert@preining.info>  Tue, 31 Mar 2020 06:48:24 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
 Uploaders: Norbert Preining <norbert@preining.info>
-Build-Depends: debhelper (>= 7.0.50~)
+Build-Depends: debhelper-compat (= 12)
 Build-Depends-Indep: tex-common (>= 6)
 Standards-Version: 4.2.1
 Vcs-Git: https://github.com/debian-tex/context.git

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	dh_clean
 
 binary-indep: build-indep
-	dh_testdir 
+	dh_testdir
 	dh_testroot
 	dh_clean
 	dh_installdirs usr/share/texmf/web2c usr/share/doc/$(package)	\

## context 2021.03.05.20220211

=== debian/changelog ===
context (2021.03.05.20220211-1) unstable; urgency=medium

  [ Hilmar Preusse ]
  * New upstream release, suitable for TL 2021.
  * Add me to Uploaders field.
  * Add Lintian fixes & Overrides.
  * Introduce dh sequencer for debian/rules file.

  [ Adam Reviczky ]
  * Bump standards version, no changes necessary
    (https://github.com/debian-tex/context/pull/11)

  [ Debian Janitor ]
  * Add missing build dependency on dh addon.
  * Set upstream metadata fields: Repository.
  * Remove 1 obsolete maintscript entry.
  * Bump debhelper from old 12 to 13.
  * Remove Section on context that duplicates source.
  * Remove constraints unnecessary since buster:
    + Build-Depends-Indep: Drop versioned constraint on tex-common.
    + context: Drop versioned constraint on lmodern in Depends.
    + context: Drop versioned constraint on texlive-xetex in Conflicts.

 -- Hilmar Preusse <hille42@web.de>  Sun, 13 Feb 2022 23:32:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,24 @@
 Source: context
 Section: tex
 Priority: optional
-Maintainer: Debian TeX maintainers <debian-tex-maint@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>
-Build-Depends: debhelper-compat (= 12)
-Build-Depends-Indep: tex-common (>= 6)
-Standards-Version: 4.2.1
+Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>,
+	   Hilmar Preusse <hille42@web.de>
+Build-Depends: debhelper-compat (= 13), tex-common
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Vcs-Git: https://github.com/debian-tex/context.git
 Vcs-Browser: https://github.com/debian-tex/context
+Homepage: https://www.pragma-ade.nl/
 
 Package: context
-Section: tex
 Architecture: all
-Depends: ruby | ruby-interpreter, texlive-binaries (>= 2019), texlive-base (>= 2019), texlive-metapost (>= 2019), lmodern (>= 2.004.4), tex-gyre, ${misc:Depends}
+Depends: ruby, texlive-binaries (>= 2019), texlive-base (>= 2019), texlive-metapost (>= 2019), lmodern, tex-gyre, ${misc:Depends}
 Recommends: fonts-gfs-artemisia, fonts-gfs-baskerville, fonts-gfs-bodoni-classic, fonts-gfs-didot-classic, fonts-gfs-didot, fonts-gfs-olga, fonts-gfs-porson, fonts-gfs-gazis, fonts-gfs-neohellenic, fonts-gfs-solomos, fonts-gfs-theokritos, fonts-freefont, fonts-sil-gentium, context-modules
 Suggests: perl-tk, libxml-parser-perl, fontforge, context-nonfree
-Conflicts: texlive-context, tetex-bin (<< 2007), texlive-xetex (<< 2009)
-Replaces: texlive-context
+Conflicts: texlive-context
+Replaces: texlive-context, tetex-bin (<< 2007)
+Breaks: tetex-bin (<< 2007)
 Provides: texlive-context
 Description: powerful TeX format
  ConTeXt is a document-production system based, like LaTeX, on the TeX

## context 2021.03.05.20230120+dfsg

=== debian/changelog ===
context (2021.03.05.20230120+dfsg-1+deb12u1) bookworm; urgency=medium

  * Explicitely enable socket in ConTeXt mtxrun (see #1036470).

 -- Hilmar Preusse <hille42@web.de>  Tue, 27 Jun 2023 22:10:25 +0200

context (2021.03.05.20230120+dfsg-1) unstable; urgency=medium

  * Remove some TeX files not meeting the DFSG from orig.tar.gz
    (Closes: #1029127)
  * Replace "fonts-freefont" by "fonts-freefont-otf" in Recommends.

 -- Hilmar Preusse <hille42@web.de>  Fri, 20 Jan 2023 23:38:39 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Package: context
 Architecture: all
 Depends: ruby, texlive-binaries (>= 2019), texlive-base (>= 2019), texlive-metapost (>= 2019), lmodern, tex-gyre, ${misc:Depends}
-Recommends: fonts-gfs-artemisia, fonts-gfs-baskerville, fonts-gfs-bodoni-classic, fonts-gfs-didot-classic, fonts-gfs-didot, fonts-gfs-olga, fonts-gfs-porson, fonts-gfs-gazis, fonts-gfs-neohellenic, fonts-gfs-solomos, fonts-gfs-theokritos, fonts-freefont, fonts-sil-gentium, context-modules
+Recommends: fonts-gfs-artemisia, fonts-gfs-baskerville, fonts-gfs-bodoni-classic, fonts-gfs-didot-classic, fonts-gfs-didot, fonts-gfs-olga, fonts-gfs-porson, fonts-gfs-gazis, fonts-gfs-neohellenic, fonts-gfs-solomos, fonts-gfs-theokritos, fonts-freefont-otf, fonts-sil-gentium, context-modules
 Suggests: perl-tk, libxml-parser-perl, fontforge, context-nonfree
 Conflicts: texlive-context
 Replaces: texlive-context, tetex-bin (<< 2007)

=== debian/rules ===
#! /usr/bin/make -f

package        := context
instbase       := debian/$(package)

%:
	dh $@ --with tex

override_dh_auto_build:
	: there is nothing for build

override_dh_auto_test:
	: do nothing here, otherwise test suite is run.

override_dh_auto_install:
	cp -a texmf-dist/* $(instbase)/usr/share/texmf
	rm -rf $(instbase)/usr/share/texmf/tlpkg
	# move user config file to /etc
	mv $(instbase)/usr/share/texmf/tex/context/user/mkii/cont-sys.rme	\
		$(instbase)/etc/texmf/tex/context/user/
	rmdir $(instbase)/usr/share/texmf/tex/context/user/mkii
	rmdir $(instbase)/usr/share/texmf/tex/context/user

	#
	# scripts dealing
	cp bin/i386-linux/* $(instbase)/usr/bin
	rm -r $(instbase)/usr/share/texmf/scripts/context/stubs
	#
	##cp texmf-dist/scripts/context/stubs/unix/* $(instbase)/usr/bin
	(echo "#!/bin/sh"; echo 'mtxrun --script pdftrimwhite "$$@"' ) > $(instbase)/usr/bin/pdftrimwhite
	(echo "#!/bin/sh"; echo 'mtxrun --script texfind "$$@"' ) > $(instbase)/usr/bin/texfind
	(echo "#!/bin/sh"; echo 'mtxrun --script texfont "$$@"' ) > $(instbase)/usr/bin/texfont
	####(echo "#!/usr/bin/perl"; tail -n +3 texmf-dist/scripts/context/perl/pdftrimwhite.pl ) > $(instbase)/usr/bin/pdftrimwhite

override_dh_installtex:
	dh_installtex --flavor=format:no_links

override_dh_strip_nondeterminism:
	: modifies files in unwanted manner

## context 2023.05.05.20230730+dfsg

=== debian/changelog ===
context (2023.05.05.20230730+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Hilmar Preusse <hille42@web.de>  Sun, 27 Aug 2023 23:40:37 +0200

context (2023.05.05.20230730+dfsg-1) experimental; urgency=medium

  * New upstream release, suitable for TL 2023.
    - Refresh patches.
  * Start using luametatex for processing ConTeXt files.
  * Do not generate ConTeXt MarkIV formats (and LuaMetaTeX) formats
    in postinst (will be generated during run time).
  * Remove ICC color profiles from package, as they are non-free.
  * Enable "--socket" as run time option in mtxrun (needed after
    upgrade to luatex 1.17.0).

 -- Hilmar Preusse <hille42@web.de>  Sun, 30 Jul 2023 22:06:57 +0200

=== debian/rules ===
--- 
+++ 
@@ -16,15 +16,17 @@
 	cp -a texmf-dist/* $(instbase)/usr/share/texmf
 	rm -rf $(instbase)/usr/share/texmf/tlpkg
 	# move user config file to /etc
-	mv $(instbase)/usr/share/texmf/tex/context/user/mkii/cont-sys.rme	\
-		$(instbase)/etc/texmf/tex/context/user/
-	rmdir $(instbase)/usr/share/texmf/tex/context/user/mkii
-	rmdir $(instbase)/usr/share/texmf/tex/context/user
+	#mv $(instbase)/usr/share/texmf/tex/context/user/mkii/cont-sys.rme	\
+	#	$(instbase)/etc/texmf/tex/context/user/
+	#rmdir $(instbase)/usr/share/texmf/tex/context/user/mkii
+	#rmdir $(instbase)/usr/share/texmf/tex/context/user
 
 	#
 	# scripts dealing
+	#rm bin/i386-linux/context bin/i386-linux/mtxrun
 	cp bin/i386-linux/* $(instbase)/usr/bin
-	rm -r $(instbase)/usr/share/texmf/scripts/context/stubs
+	#rm -r $(instbase)/usr/share/texmf/scripts/context/stubs
+	#rm -r $(instbase)/usr/share/texmf/tex/context/colors/icc/profiles/
 	#
 	##cp texmf-dist/scripts/context/stubs/unix/* $(instbase)/usr/bin
 	(echo "#!/bin/sh"; echo 'mtxrun --script pdftrimwhite "$$@"' ) > $(instbase)/usr/bin/pdftrimwhite

## context 2024.04.01.20240428+dfsg

=== debian/changelog ===
context (2024.04.01.20240428+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Hilmar Preusse <hille42@web.de>  Wed, 05 Jun 2024 14:12:28 +0200

context (2024.04.01.20240428+dfsg-1) experimental; urgency=medium

  * New upstream release, suitable for TL 2024.
    - Refresh patches.

 -- Hilmar Preusse <hille42@web.de>  Sun, 28 Apr 2024 20:53:59 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 Package: context
 Architecture: all
-Depends: ruby, texlive-binaries (>= 2019), texlive-base (>= 2019), texlive-metapost (>= 2019), lmodern, tex-gyre, ${misc:Depends}
+Depends: ruby, luametatex, texlive-binaries (>= 2019), texlive-base (>= 2019), texlive-metapost (>= 2019), lmodern, tex-gyre, ${misc:Depends}
 Recommends: fonts-gfs-artemisia, fonts-gfs-baskerville, fonts-gfs-bodoni-classic, fonts-gfs-didot-classic, fonts-gfs-didot, fonts-gfs-olga, fonts-gfs-porson, fonts-gfs-gazis, fonts-gfs-neohellenic, fonts-gfs-solomos, fonts-gfs-theokritos, fonts-freefont-otf, fonts-sil-gentium, context-modules
 Suggests: perl-tk, libxml-parser-perl, fontforge, context-nonfree
 Conflicts: texlive-context

## context 2025.03.05.20250324%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian TeX Task Force <debian-tex-maint@lists.debian.org>
 Uploaders: Norbert Preining <norbert@preining.info>,
-	   Hilmar Preusse <hille42@web.de>
+	   Hilmar Preuße <hille42@debian.org>
 Build-Depends: debhelper-compat (= 13), tex-common
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
@@ -13,8 +13,8 @@
 
 Package: context
 Architecture: all
-Depends: ruby, luametatex, texlive-binaries (>= 2019), texlive-base (>= 2019), texlive-metapost (>= 2019), lmodern, tex-gyre, ${misc:Depends}
-Recommends: fonts-gfs-artemisia, fonts-gfs-baskerville, fonts-gfs-bodoni-classic, fonts-gfs-didot-classic, fonts-gfs-didot, fonts-gfs-olga, fonts-gfs-porson, fonts-gfs-gazis, fonts-gfs-neohellenic, fonts-gfs-solomos, fonts-gfs-theokritos, fonts-freefont-otf, fonts-sil-gentium, context-modules
+Depends: ruby, luametatex, texlive-binaries (>= 2019), texlive-base (>= 2019), texlive-metapost (>= 2019), lmodern, tex-gyre, ${misc:Depends}, icc-profiles-free
+Recommends: fonts-gfs-artemisia, fonts-gfs-baskerville, fonts-gfs-bodoni-classic, fonts-gfs-didot-classic, fonts-gfs-didot, fonts-gfs-olga, fonts-gfs-porson, fonts-gfs-gazis, fonts-gfs-neohellenic, fonts-gfs-solomos, fonts-gfs-theokritos, fonts-freefont-otf, fonts-sil-gentium, context-modules, inkscape
 Suggests: perl-tk, libxml-parser-perl, fontforge, context-nonfree
 Conflicts: texlive-context
 Replaces: texlive-context, tetex-bin (<< 2007)
